/* Page ================ */

@import "../components/header/header";
@import "../components/popup/popup";

.page--locked {
  overflow: hidden;
}

.page__overlay {
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  z-index: 2;
  width: 100%;
  height: 100%;
  overflow: hidden;
  background: $popup-overlay-background-color;
  opacity: 0;
  transition: $transition-time $transition-type;
  pointer-events: none;

  &.page__overlay--show {

    @include mq("laptop-small", "max") {
      opacity: 1;
      pointer-events: auto;
    }
  }
}

.page__svg-spite {
  position: absolute;
  width: 0;
  height: 0;
  overflow: hidden;
}

.page__header {

  & + .page__wrapper {
    padding-top: $header-height;

    @include mq("laptop-small", "max") {
      padding-top: $header-height-tablet;
    }
  }
}

.page__wrapper {
  flex-grow: 1;
}

.page__footer {
  flex-shrink: 0;
}
/* ================ end page  */
